## preggy 1.1.3

=== Makefile ===
NOSE_TEST_COVER_OPTS = --with-coverage --cover-package=preggy --cover-package=preggy.assertions --cover-package=preggy.assertions.types
NOSE_TEST = @nosetests -vv --detailed-errors --with-yanc -s $(NOSE_TEST_COVER_OPTS) tests/

test:
	$(NOSE_TEST) $(NOSE_TEST_COVER_OPTS)

ci-test:
	@rm -f .coverage
	$(NOSE_TEST) --with-coverage

tox:
	@tox

setup:
	@pip install -e .[tests]

release:
	@git commit -am "Release `python -c "import preggy; print preggy.__version__"`"
	@git push
	@git tag `python -c "import preggy; print preggy.__version__"`
	@git push --tags
	@python setup.py sdist upload

=== debian/changelog ===
preggy (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #774658)

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 06 Jan 2015 21:07:44 -0300

=== debian/control ===
Source: preggy
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3),
               python-all (>= 2.6.6-3),
               debhelper (>= 7),
               dh-python,
               python-tox,
               python-six,
               python-unidecode,
               python-coverage,
               python-nose,
               python-nose-yanc
Standards-Version: 3.9.6
Homepage: http://heynemann.github.io/preggy
Vcs-Browser: http://anonscm.debian.org/cgit/users/metal/preggy.git
Vcs-Git: git://anonscm.debian.org/users/metal/preggy.git
X-Python-Version: >= 2.6

Package: python-preggy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Assertion library for Python
 Collection of expectations for python applications, extracted from
 the pyVows project.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	$(MAKE) test

override_dh_auto_clean:
	rm -f .coverage
	dh_auto_clean

## preggy 1.3.0

=== debian/changelog ===
preggy (1.3.0-2) unstable; urgency=high

  * d/control: Remove ancient X-Python-Version field
  * d/control: Set Vcs-* to salsa.debian.org
  * Move package to Python Modules Team
  * Fixed build-dependency not installable: python-tox (Closes: #924825)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 17 Mar 2019 16:37:32 -0300

preggy (1.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - added debhelper (>= 9)
   - removed minimum version on python-all and python-setuptools
   - removed unneeded python-coverage dependency
   - rearranged Build-Depends alphabetically
   - bumped standards version to 3.9.8
  * debian/rules
   - switched to pybuild
   - removed clean override that was cleaning up after coverage
  * debian/compat
   - bumped to 9

 -- Gilles Dubuc <gilles@wikimedia.org>  Tue, 14 Jun 2016 14:08:03 +0000

preggy (1.1.3-1~bpo80+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 11 Jun 2016 21:16:54 -0300

=== debian/control ===
Source: preggy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python-six,
               python-unidecode,
               tox
Standards-Version: 3.9.8
Homepage: http://heynemann.github.io/preggy
Vcs-Browser: https://salsa.debian.org/python-team/modules/preggy
Vcs-Git: https://salsa.debian.org/python-team/modules/preggy.git

Package: python-preggy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-six, python-unidecode
Description: Assertion library for Python
 Collection of expectations for python applications, extracted from
 the pyVows project.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=preggy
export PYBUILD_TEST_NOSE=1
export PYBUILD_BEFORE_TEST=cp -R {dir}/README.md {build_dir}
export PYBUILD_AFTER_TEST=rm -fR {build_dir}/README.md

%:
	dh $@ --with python2 --buildsystem=pybuild

## preggy 1.4.4

=== requirements.txt ===
coverage==3.6
ipdb==0.7
ipython==0.13.2
nose==1.3.0
-e git+git@github.com:heynemann/preggy.git@b2510e1e941aaded75bad0674a427f5358de5b2c#egg=preggy-dev
py==1.4.13
six==1.3.0
Unidecode==0.04.13
tox==1.4.3
virtualenv==1.9.1
wsgiref==0.1.2
yanc==0.2.4

=== debian/changelog ===
preggy (1.4.4-5) unstable; urgency=medium

  * Team upload.
  * Add patch for Pytest 8.4

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 20:46:17 +0200

preggy (1.4.4-4) unstable; urgency=medium

  * Team upload.
  * Replace python3-nose with python3-pytest (Closes: #1018440)
  * Remove MIA maintainer from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 01:06:40 +0200

preggy (1.4.4-3) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 10:10:26 +0100

preggy (1.4.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 18:57:29 -0400

preggy (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 12, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Jan 2020 08:57:49 +0200

preggy (1.4.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Declare Rules-Requires-Root: no.
  * Add autopkgtest to run unit tests.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Dec 2019 11:34:26 +0200

preggy (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 24 Nov 2019 22:50:00 -0300

preggy (1.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.

  [ Marcelo Jorge Vieira ]
  * python3 support

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 24 Nov 2019 21:59:33 -0300

=== debian/control ===
Source: preggy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Marcelo Jorge Vieira <metal@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-six,
 python3-unidecode,
Standards-Version: 4.7.2
Homepage: https://heynemann.github.io/preggy
Vcs-Browser: https://salsa.debian.org/python-team/packages/preggy
Vcs-Git: https://salsa.debian.org/python-team/packages/preggy.git
X-Style: black

Package: python3-preggy
Architecture: all
Depends:
 python3-six,
 python3-unidecode,
 ${misc:Depends},
 ${python3:Depends},
Description: Assertion library for Python
 Collection of expectations for Python applications, extracted from
 the pyVows project.

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 python3-pytest,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/preggy-$1\.tar\.gz/ \
  https://github.com/heynemann/preggy/tags .*/v?(\d\S*)\.tar\.gz
